name: Build and push image for doorman-homeassistant

on:
  push:
    branches: [main]

jobs:
  diff:
    uses: martin/chromart-gitea-actions/.gitea/workflows/diff-output.yaml@main
    with:
      repository: ${{ github.repository }}
      ref: ${{ github.ref }}
      files: packages/doorman-homeassistant/*
    secrets:
      token: ${{ github.token }}

  docker:
    needs: diff
    if: ${{ needs.diff.outputs.is_changed == 'true' }}
    uses: martin/chromart-gitea-actions/.gitea/workflows/docker-publish-private.yaml@main
    with:
      repository: ${{ github.repository }}
      ref: ${{ github.ref }}
      image_name: doorman-homeassistant
    secrets:
      token: ${{ github.token }}
  deploy-gitainer:
    needs: docker
    uses: martin/chromart-gitea-actions/.gitea/workflows/gitainer-deploy.yaml@main
    with:
      stack_name: doorman-homeassistant
